# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Wed Jul 14 07:38:04 2021
# ------------------------------------------------

package:
  name: tenacity
  version: 8.0.1
source:
  fn: tenacity-8.0.1.tar.gz
  sha256: 43242a20e3e73291a28bcbcacfd6e000b02d3857a9a9fff56b297a27afdc932f
  url: https://pypi.io/packages/source/t/tenacity/tenacity-8.0.1.tar.gz
build:
  number: '0'
  script: /tmp/build/80754af9/tenacity_1626248292117/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install -vv .
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.7.5 h06a4308_1
    - certifi 2021.5.30 py39h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.1.3 py39h06a4308_0
    - python 3.9.5 h12debd9_4
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - setuptools-scm 6.0.1 pyhd3eb1b0_1
    - setuptools_scm 6.0.1 hd3eb1b0_1
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.10 hbc83047_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tzdata 2021a h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
  imports:
    - tenacity
  requires:
    - pip
about:
  description: 'Tenacity is general-purpose retrying library, written in Python, to
    simplify the task of

    adding retry behavior to just about anything. It originates from a fork of Retrying

    '
  dev_url: http://github.com/jd/tenacity
  doc_url: http://tenacity.readthedocs.io
  home: http://github.com/jd/tenacity
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Retry a flaky function whenever an exception occurs until it works
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - sodre
    - xylar
